Subject: Re: bug#7626: mm-charset-override-alist

From: Kenichi Handa <[email-masked]>
Date: Thu, 20 Jan 2011 11:05:42 +0900

In article <[email-masked]>, Eli Zaretskii <[email-masked]> writes:

> I guess I will simply customize away mm-charset-override-alist, if no
> one shares these concerns.

I think you don't need that with the latest code.

I wrote:

> I don't want to modify rfc2047.el nor mm-util.el now.  So,
> I've just installed a little bit inefficient workaround
> which does this:

> After decoding each header, if rmail-mime-coding-system is
> nil, set it to a cons (CODING-SYSTEM . nil).

> After decoding each body, if rmail-mime-coding-system is nil
> or a cons, set it to CODING-SYSTEM.

> After decoding a whole message, if rmail-mime-coding-system
> is a cons (i.e. only a header part is decoded), re-decode
> the header while binding mm-charset-override-alist to nil,
> and set rmail-mime-coding-system to last-coding-system-used.

> Set buffer-file-coding-system to rmail-mime-coding-system.

Have you tried it?

---
Kenichi Handa
[email-masked]